POST/ pipelines/
Create pipeline
You can create a pipeline.
Attributes
Optional unless marked required
- name
- A pipeline name.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X POST "https://<your_app_subdomain>.user.com/api/public/pipelines/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2" \
-H "Content-Type: application/json" \
-d '{
"name": "Enterprise sales"
}'
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/pipelines/",
{
method: "POST",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Enterprise sales",
}),
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/pipelines/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => json_encode([
"name" => "Enterprise sales",
]),
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.post(
"https://<your_app_subdomain>.user.com/api/public/pipelines/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
json={
"name": "Enterprise sales",
},
)
print(response.json())
Response examples
- 201 Created
- 400 Bad Request
{
"id": 18,
"name": "Enterprise sales"
}
{"name": ["This field is required."]}Response fields
Fields returned in the 201 Created response body.
- id
- A unique identifier for the pipeline which is given by User automatically.
- name
- A pipeline name.
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.